#First, make sure to have available all necessary libraries:
import datetime as dt
import matplotlib.pyplot as plt
from matplotlib import style
import pandas as pd
import yfinance as yf
style.use('ggplot')

#Second, retrive the data from, say, Yahoo
start = dt.datetime(2016,1,2)
end = dt.datetime(2021,10,31)

df = yf.download("AAPL", start, end)

print (df.head())
print(df.head(10))
print(df.tail())
print(df.tail(10))

#Save that data in file
df.to_csv('AAPL.csv')
